{ @Reference
  @Tag { ahocor1975bibliographic.search }
  @Type { Article }
  @Label { Aho75 }
  @Author { Aho, A. V. y Corasick, M. J. }
  @Title { Efficient String Matching: An Aid to Bibliographic Search }
  @Journal { Comunications of the ACM } 
  @Volume { 18 }
  @Number { 6 }
  @Month { Junio }
  @Year { 1975 }
  @Pages { 333--340 }
}
{ @Reference
  @Tag { ahohopull1974computer.algorithms }
  @Type { Book }
  @Label { Aho74 }
  @Author { Aho, A. V.; Hopcroft, J. E. y Ullman, J. D. }
  @Title { The Design and Analysis of Computer Algorithms }
  @Publisher { Addison-Wesley }
  @Address { Reading, Massachusetts } 
  @Year { 1974 }
}
{ @Reference
  @Tag { ahohopull1983data.structures }
  @Type { Book }
  @Label { Aho83 }
  @Author { Aho, A. V.; Hopcroft, J. E. y Ullman, J. D. }
  @Title { Data Structures and Algorithms }
  @Publisher { Addison-Wesley }
  @Address { Reading, Massachusetts } 
  @Year { 1983 }
}
{ @Reference
  @Tag { ahosetull1986compilers }
  @Type { Book }
  @Label { Aho86 }
  @Author{ Aho, A. V.; Sethi, R. y Ullman, J. D. }
  @Title{ Compilers: Principles, Techniques and Tools }
  @Publisher { Addison-Wesley }
  @Address { Reading, Massachusetts } 
  @Year { 1986 }
}
{ @Reference
  @Tag { aho1990find.algorithms }
  @Type { InBook }
  @Label { Aho90 }
  @Author { Alfred V. Aho }
  @Title { Algorithms for Finding Patterns in Strings }
  @InAuthor { J. van Leeuwen, editor }
  @InTitle { Handbook of Theoretical Computer Science }
  @Publisher { Elsevier Science Publishers }
  @Address { New York } 
  @Year { 1990 }
  @Pages { 255--300 }
}
{ @Reference
  @Tag { ahoe1994string.matching }
  @Type { Book }
  @Label { Ahoe94 }
  @Author { Jun-ich Ahoe, editor }
  @Title { Computer Algorithms: String Pattern Matching Strategies }
  @Publisher { IEEE Computer Society Press } 
  @Address { Los Alamitos, California }
  @Year { 1994 }
}
{ @Reference
  @Tag { bae1989efficient.searching }
  @Type { TechReport }
  @Label { Bae89 }
  @Author { Ricardo A. Baeza-Yates }
  @Title { Efficient Text Searching }
  @TRType { Research Report }
  @Number { CS-89-17 }
  @Institution { Departament of Computer Science, University of Waterloo }
  @Address { Ontario }
  @Year { 1989 }
}
{ @Reference
  @Tag { baegon1991algorithms.structures }
  @Type { Book }
  @Label { Bae91 }
  @Author { Baeza-Yates, R. A. y Gonnet, G. H. }
  @Title { Handbook of Algorithms and Data Structures: in Pascal and C }
  @Edition { Segunda Edicin }
  @Publisher { Addison-Wesley }
  @Address { Reading, Massachusetts } 
  @Year { 1991 }
}
{ @Reference
  @Tag { bae1992text.retrieval }
  @Type { Misc }
  @Label { Bae92a }
  @Author { Ricardo A. Baeza-Yates }
  @Title { Text Retrieval: Theory and Practice }
  @Institution { Twelfth IFIP World Computer Congress }
  @Month { Septiembre }
  @Address { Madrid, Espaa }
  @Year { 1992 }
}
{ @Reference
  @Tag { baegon1992new.search }
  @Type { Article }
  @Label { Bae92b }
  @Author { Baeza-Yates, R. A. y Gonnet, G. H. }
  @Title { A New Aproach to Text Searching }
  @Journal { Comunications of the ACM }
  @Volume { 35 }
  @Number { 10 }
  @Month { Octubre }
  @Year { 1992 }
  @Pages { 74--82 }
}
{ @Reference
  @Tag { boymoo1977fast.search }
  @Type { Article }
  @Label { BM77 }
  @Author{ Boyer, R. S. y Moore, J. S. }
  @Title{ A Fast String Searching Algorithm }
  @Journal { Comunications of the ACM }
  @Volume { 20 }
  @Number { 10 }
  @Month { Octubre }
  @Year { 1977 }
  @Pages { 62--72 }
}
{ @Reference
  @Tag { comwal1979matching.fast.average }
  @Type { InProceedings }
  @Label { Com79 }
  @Author { Commentz-Walter, B. }
  @Title { A string matching algorithm fast on the average }
  @InAuthor { H. A. Maurer, editor }
  @InTitle { Proc. 6th International Coll. on Automata, Languajes and
Programing }
  @Address { Springer, Berlin }
  @Year { 1979 }
  @Pages { 118--132 }
}
{ @Reference
  @Tag { davbow1986pattern.matching }
  @Type { Article }
  @Label { Dav86 }
  @Author { Davies, G. y Bowsher, S. }
  @Title { Algorithms for Pattern Matching }
  @Journal { Software -- Practice and Experience }
  @Volume { 16 }
  @Number { 6 }
  @Month { Junio }
  @Year { 1986 }
  @Pages { 575--601 }
}
{ @Reference
  @Tag { herher1993c++ }
  @Type { Book }
  @Label { Her93 }
  @Author { Hernndez Orallo, E. y Hernndez Orallo, J. }
  @Title { Programacin en C++ }
  @Publisher { Paraninfo }
  @Address { Madrid }
  @Year { 1993 }
}
{ @Reference
  @Tag { hor1980fast.searching }
  @Type { Article }
  @Label { Hor80 }
  @Author { Horspool, R. N. }
  @Title { Practical Fast Searching in String }
  @Journal { Software -- Practice and Experience }
  @Volume { 10 }
  @Number { 6 }
  @Year { 1980 }
  @Pages { 501--506 }
}
{ @Reference
  @Tag { humsun1991fast.string.search }
  @Type { Article }
  @Label { Hum91 }
  @Author { Hume, A. y Sunday, D. M. }
  @Title { Fast String Searching }
  @Journal { Software -- Practice and Experience }
  @Volume { 21 }
  @Number { 11 }
  @Month { Noviembre }
  @Year { 1991 }
  @Pages { 1221--1248 }
}
{ @Reference
  @Tag { karrab1987randomized.pattern.matching }
  @Type { Article }
  @Label { KR87 }
  @Author { Karp, R. M. y Rabin, M. O. }
  @Title { Efficient Randomized Pattern Matching Algorithms }
  @Journal { IBM J. Res. Develop. }
  @Volume { 31 }
  @Number { 2 }
  @Year { 1987 }
  @Pages { 249--260 }
}
{ @Reference
  @Tag { kin1996lout.expert }
  @Type { Book }
  @Label { Kin96a }
  @Author { Jeffrey H. Kingston }
  @Title { An Expert's Guide to the Lout Document Formatting System
(Version 3.10) }
  @Institution { Basser Departament of Computer Science, University of Sydney }
  @Month { Octubre }
  @Year { 1996 }
}
{ @Reference
  @Tag { kin1996lout.user }
  @Type { Book }
  @Label { Kin96b }
  @Author { Jeffrey H. Kingston }
  @Title { A User's Guide to the Lout Document Formatting System
(Version 3.10) }
  @Institution { Basser Departament of Computer Science, University of Sydney }
  @Month { Noviembre }
  @Year { 1996 }
}
{ @Reference
  @Tag { knumorpra1977fast.matching }
  @Type { Article }
  @Label { KMP77 }
  @Author { Knuth, D. E.; Morris, J. H. y Pratt, V. R. }
  @Title { Fast Pattern Matching in Strings }
  @Journal { SIAM Journal on Computing }
  @Volume { 6 }
  @Number { 2 }
  @Month { Junio }
  @Year { 1977 }
  @Pages { 323--350 }
}
{ @Reference
  @Tag { lam1986latex.guide }
  @Type { Book }
  @Label { Lam86 }
  @Author{ Leslie Lamport }
  @Title{ @LaTeX User's Guide and Reference Manual }
  @Publisher { Addison-Wesley }
  @Address { Reading, Massachusetts } 
  @Year { 1986 }
}
{ @Reference
  @Tag { manwu1993glimpse }
  @Type { TechReport }
  @Label { Man93 }
  @Author { Manber, U. y Wu, S.  }
  @Title { GLIMPSE: A Tool to Search Through Entire File Systems }
  @TRType { TR }
  @Institution { Department of Computer Science, University of Arizona }
  @Address { Tucson, Arizona }
  @Number { 93-34 }
  @Month { Octubre }
  @Year { 1993 }
  @URL { "ftp://ftp.cs.arizona.edu/glimpse/glimpse.ps.Z" }
}
{ @Reference
  @Tag { sed1992algorithms.c++ }
  @Type { Book }
  @Label { Sed92 }
  @Author{ Robert Sedgewick }
  @Title{ Algorithms in C++ }
  @Publisher { Addison-Wesley }
  @Address { Reading, Massachusetts } 
  @Year { 1992 }
}
{ @Reference
  @Tag { sun1990fast.search }
  @Type { Article }
  @Label { Sun90 }
  @Author { Daniel M. Sunday }
  @Title { A Very Fast Substring Search Algorithm }
  @Journal { Comunications of the ACM }
  @Volume { 33 }
  @Number { 8 }
  @Month { Agosto }
  @Year { 1990 }
  @Pages { 132--142 }
}
{ @Reference
  @Tag { ste1992string.search }
  @Type { TechReport }
  @Label { Ste92 }
  @Author { Graham A. Stephen }
  @Title { String Search }
  @Number { TR-92-gas-01 }
  @Institution { School of Electronic Engineering Science, University College of
North Wales }
  @Month { Octubre }
  @Year { 1992 }
}
{ @Reference
  @Tag { stelee1995stl }
  @Type { Misc }
  @Label { Ste95 }
  @Author{ Stepanov, A. A. y Lee, M. }
  @Title { The Standard Template Library }
  @Institution { Hewlett-Packard Laboratories }
  @Address { Palo Alto, California }
  @Month { Febrero }
  @Year { 1995 }
  @URL { "http://www.cs.rpi.edu/~musser/" }
}
{ @Reference
  @Tag { str1991c++ }
  @Type { Book }
  @Label { Str91 }
  @Author { Bjarne Stroustroup }
  @Title { The C++ Programing Languaje }
  @Edition { Segunda Edicin }
  @Publisher { Addison-Wesley }
  @Address { Reading, Massachusetts } 
  @Year { 1991 }
}
{ @Reference
  @Tag { watzwa1992taxonomy }
  @Type { TechReport }
  @Label { Wat92 }
  @Author{ Watson, B. W. y Zwaan, G. }
  @Title { A taxonomy of keyword pattern matching algorithms }
  @TRType { Computing Science Notes }
  @Number { "92/27" }
  @Institution { Eindhoven University of Technology }
  @Address { Eindhoven, Holanda }
  @Month { Diciembre }
  @Year { 1992 }
}
{ @Reference
  @Tag { wat1994performance }
  @Type { TechReport }
  @Label { Wat94 }
  @Author { Bruce W. Watson }
  @Title { The performance of single-keyword and multiple-keyword pattern
matching algorithms }
  @TRType { Computing Science Notes }
  @Number { "94/19" }
  @Institution { Eindhoven University of Technology }
  @Address { Eindhoven, Holanda }
  @Month { Mayo }
  @Year { 1994 }
}
{ @Reference
  @Tag { watzwa1995sublinear.taxonomy }
  @Type { TechReport }
  @Label { Wat95 }
  @Author { Watson, B. W. y Zwaan, G. }
  @Title { A taxonomy of sublinear multiple keyword pattern matching algorithms
}
  @TRType { Computing Science Notes }
  @Number { "95/" }
  @Institution { Eindhoven University of Technology }
  @Address { Eindhoven, Holanda }
  @Month { Abril }
  @Year { 1995 }
}
{ @Reference
  @Tag { wuman1992fast.errors }
  @Type { Article }
  @Label { Wu92 }
  @Author { Wu, S. y Manber, U.  }
  @Title { Fast Text Searching Allowing Errors }
  @Journal { Comunications of the ACM }
  @Volume { 35 }
  @Number { 10 }
  @Month { Octubre }
  @Year { 1992 }
  @Pages { 83--91 }
}
{ @Reference
  @Tag { ansi1996c++.std }
  @Type { Misc }
  @Label { C++96 }
  @Title { Working Paper for Draft Proposed International Standard for
Information Systems - Programming Language C++ }
  @Number { Documento ANSI nmero X3J16/96-0225, WG21/N1043 }
  @Day { 2 }
  @Month { Diciembre }
  @Year { 1996 }
  @URL { "http://www.maths.warwick.ac.uk/c++/pub/" }
}
{ @Reference
  @Tag { program.glimpse }
  @Type { Misc }
  @Label { glimpse }
  @Title { GLIMPSE: GLobal IMPlicit SEarch }
  @Note { Sistema de indexacin y recuperacin que permite realizar
bsquedas muy eficientes en multiples archivos }
  @URL { "http://glimpse.cs.arizona.edu/" }
}
{ @Reference
  @Tag { program.lout }
  @Type { Misc }
  @Label { lout }
  @Title { The Basser Lout Document Formating System }
  @Note { Sistema de composicin de documentos similar al @LaTeX }
  @URL { "ftp://ftp.cs.su.oz.au/jeff/lout/" }
}
{ @Reference
  @Tag { program.sgmltools }
  @Type { Misc }
  @Label { sgmltools }
  @Title { SGML-Tools }
  @Note { Sistema basado en el SGML que permite generar versiones en 
distintos formatos a partir de un solo documento SGML escrito empleando el
@I { linuxdoc-dtd } (usado para escribir los @I { HOWTO } de Linux ) }
  @URL { "http://web.inter.NL.net/users/C.deGroot/sgmltools/" }
}
{ @Reference
  @Tag { web.debian }
  @Type { Misc }
  @Label { Debian }
  @Title { "Debian/GNU Linux" }
  @Note { Pginas Web relacionadas con la distribucin Debian del sistema
operativo Linux }
  @URL { "http://www.debian.org/" }
}
{ @Reference
  @Tag { web.gnu }
  @Type { Misc }
  @Label { GNU }
  @Title { GNU WWW }
  @Note { Pginas Web relacionadas con el proyecto GNU (@I { GNU's Not
Unix }) de la FSF (@I { Free Software Foundation }) }
  @URL { "http://www.gnu.org/" }
}
{ @Reference
  @Tag { web.sgml }
  @Type { Misc }
  @Label { SGML }
  @Title { SGML Web Page }
  @Note { Pginas Web relacionadas con el SGML (@I { Standard
Generalized Markup Languaje }). Incluye punteros a informacin y
programas relacionados con el SGML }
  @URL { "http://www.sil.org/sgml/" }
}
