// admalgo.h -- The -*- C++ -*- adml algorithms base class interface.
// Copyright (C) 1997 Sergio Talens-Oliag <sto@uv.es>
// This file is part of the C++ Alphabetic Data Management Library.

#ifndef _ADMALGO_H_
#define _ADMALGO_H_

// Alphabetic Data Management Base Algorithm
class adm_algo {
public:
  // Constructor / Destructor
  adm_algo () {};
  ~adm_algo() {};

  // Access methods
  virtual const char *kind() const =0; // Return the kind of algorithm
  virtual const char *name() const =0; // Return the algorithm long name
  virtual const char *id()   const =0; // Return the algorithm short name
};

#endif
