// skmtypes.cc -- The -*- C++ -*- single keyword match types implementation.
// Copyright (C) 1997 Sergio Talens-Oliag <sto@uv.es>
// This file is part of the C++ Alphabetic Data Management Library.

#include "skmtypes.h"

// ===============
// SKM Breakpoints
// ===============

// filled with blanks for better output ... :-)
const char *   skm_bpnv[] = {
  "init preprocessor ",
  "preprocessor step ",
  "init matcher      ",
  "matcher step      ",
  "partial match     ",
  "partial match step",
  "full match        ",
  "match recovery    "
};

const int      skm_bpc = 8;

// ---------------------------------------------------------
// BITS (auxiliary class for printing bits) : Public Methods
// ---------------------------------------------------------

bits::operator string() const {
  string           s(sizeof(int) * 8, '0');
  string::iterator si = s.begin();
  int i=1;

  while (i != 0) {
    if (i & v) 
      *si = '1';
    i <<= 1; si++;
  } 

  return s;
}
