// util.cc -- The -*- C++ -*- utility functions definitions
// Copyright (C) 1997 Sergio Talens-Oliag <sto@uv.es>
// This file is part of the C++ Alphabetic Data Management Library.

#include "util.h"

#include <stdio.h>

// write a double in a string
string ftos (double d) {
  char buff[256]; // should be enough to hold a double
  sprintf (buff, "%f", d);
  return string(buff);
};

// write a long int in a string
string ltos (long int li) {
  char buff[256]; // should be enough to hold a long int
  sprintf (buff, "%li", li);
  return string(buff);
};

// write a int in a sting
string itos (int i) {
  char buff[256]; // should be enough to hold an int
  sprintf (buff, "%i", i);
  return string(buff);
};
