/*  mac_main.h -- The -*- C++ -*- Macintosh Main Program
    Copyright (C) 1997 Sergio Talens-Oliag <sto@uv.es>
    This file is part of the C++ Alphabetic Data Management Library. */

#ifndef _MAIN_MW_
#define _MAIN_MW_

#ifdef __mwmacos__

/*
  Metrowerks C++ main

  Used to define the main function without including the console
  functions.

  Note that this works with Metrowerks, not other compilers

*/ 

#include <console.h>
#include <SIOUX.h>

#define SIOUXbold() SIOUXSettings.fontface = 1
#define SIOUXplain() SIOUXSettings.fontface = 0

int main_function(int argc, char *argv[]);

int main(int argc, char *argv[]) {

  SIOUXSettings.asktosaveonclose = 0;
  SIOUXSettings.autocloseonquit  = 0;
  argc= ccommand(&argv);
  
  return main_function(argc, argv);
}

// Redefine main function so it can be called from ours

#ifdef main
  #undef main
#endif
#define main mw_main__

#endif // __mwmacos__

#endif
