// skmmfun.cc -- The -*- C++ -*- single keyword match static match functions 
// Copyright (C) 1997 Sergio Talens-Oliag <sto@uv.es>
// This file is part of the C++ Alphabetic Data Management Library.

#include <iomanip.h>  // setw
#include "mfunsskm.h"

// Ostream output
ostream & skm_ffmf::Out(ostream &o) const {

    if (mi == ts)
      o << "no match.\n";
    else
      o << "match position     : " << mi << "\n";

    return o;
};

// Ostream output
ostream & skm_famf::Out(ostream &o) const {

    o << "number of matches  : " << mv.size() << "\n";

    if (mv.size() != 0) {
      o << "match positions    :";
      for (int k=0; k < mv.size(); k++)
	o << " " << mv[k];
      o << "\n";
    }

    return o;
};

// Ostream output
ostream & skm_fftmf::Out(ostream &o) const {

    if (mi == txt->size()) 
      o << "no matches.\n";
    else
      o << "match position     : " << mi << "\n";

    return o;
};

// Ostream output
ostream & skm_fatmf::Out(ostream &o) const {

    o << "number of matches  : " << mv.size() << "\n";

    if (mv.size() != 0) {
      o << "match positions    :";
      for (int k=0; k < mv.size(); k++)
	o << " " << mv[k];
      o << "\n";
    }

    return o;
};
